Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #701

improve legibility of search results
February 18, 2017 19:36 - Liviu Andronic

Status: Closed Start date: February 18, 2017
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/search tool Estimated time: 0.00 hour

Target version: 3.9

Affects version: 3.8.2

Description

| find the results in the Search Tool very hard to read (see screenshot).

Perhaps this could be improved by some appropriate formatting, say bold for album names. Or maybe even a different color, suitably
chosen. Alternatively you could include a small icon indicating album right next to an album, and another indicating artist next to

artist, etc.

Bottom line is that | like Audacious but have a hard time with the Search Tool which | use extensively.

History

#1 - February 18, 2017 19:52 - John Lindgren

- Tracker changed from Bug to Feature

#2 - February 18, 2017 19:53 - John Lindgren

Yes, this is something | hope to improve in the Qt Ul eventually.

#3 - February 18, 2017 21:06 - John Lindgren
- File search-tool.png added

Actually this was easier than | thought. Screenshot:

search-tool.png

#4 - February 18, 2017 21:07 - John Lindgren
- Category set to plugins/search tool

- Status changed from New to Closed

- Target version set to 3.9

- % Done changed from 0 to 100

#5 - February 19, 2017 18:39 - Liviu Andronic

Looks great, thanks!

Do you think it would be difficult to add horizontal separators (i.e. lines) between "categories". For instance, a horizontal line after 'MUSICAL', another
after '"Mumford & Sons', another after '5 songs by Handel, George'. In short, some sort of logical separation between the categories...

#6 - February 20, 2017 04:42 - John Lindgren

Separators would also be nice, but a little harder to implement.
#7 - February 20, 2017 09:07 - Liviu Andronic

Should | open a new report for this?

#8 - February 20, 2017 14:41 - John Lindgren

If you like, but | don't think it will get implemented any time soon.
